Part Line/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "===Геометрические Примитивы=== {| | File:PartLinePrimitivesOptions_ru.png | Линия ====Параметр==== : * {{Parameter|Начальная...")
(Created page with "Пример:")
 
(16 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav/ru
{{Docnav/ru
|[[Part_Point/ru|Точка(Вершина)]]
|[[Part_Point/ru|Точка(Вершина)]]
|[[Part_RegularPolygon/ru|Правильный Многоугольник]]
|[[Part_RegularPolygon/ru|Правильный Многоугольник]]
|[[Part_Module/ru|Part(Деталь)]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Point.svg
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconR=Part_RegularPolygon.svg
Line 15: Line 14:
|Name/ru=Линия
|Name/ru=Линия
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Линия
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Линия
|Workbenches=[[Part Module/ru|Part(Деталь)]], [[OpenSCAD_Module/ru|OpenSCAD]]
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]], [[OpenSCAD_Workbench/ru|OpenSCAD]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
}}
}}
Line 21: Line 20:
==Описание==
==Описание==


A [[Image:Part_Line.svg|24px]] '''Part Line''' is a parametric line that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. The coordinates of its start and end point are relative to the coordinate system defined by its {{PropertyData|Placement}} property.
==Использование==


[[Image:Part_Line_Example.png|400px]]
===Геометрические Примитивы===
{|
| [[File:PartLinePrimitivesOptions_ru.png]]
|
Линия
====Параметр====
:
* {{Parameter|Начальная точка}}
* {{Parameter|Конечная точка}}
====Местоположение====
*
*
|}


==Применение==
===Property===
{|
| [[File:PartLineProperty_it.png]]
|
==== View ====
..
==== Data ====
{{KEY|Base}}<br />
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement|placement]]
{{KEY|Vertex 1 Start}}<br />
* {{PropertyData|X1}} :
* {{PropertyData|X1}} :
* {{PropertyData|X1}} :
{{KEY|Vertex 2 Finish}}<br />
* {{PropertyData|X2}} :
* {{PropertyData|X2}} :
* {{PropertyData|X2}} :
|}
{{clear}}


See [[Part_Primitives#Usage|Part Primitives]].


== Свойства ==
{{Docnav

|[[Part_Point|Point]]
See also: [[Property_editor|Property editor]].
|[[Part_RegularPolygon|RegularPolygon]]

|[[Part_Module|Part]]
A Part Line object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Данные ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Vertex 1 - Start}}

* {{PropertyData|X1|Distance}}: The X coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Y1|Distance}}: The Y coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Z1|Distance}}: The Z coordinate of the start point of the line. The default is {{Value|0mm}}.

{{TitleProperty|Vertex 2 - Finish}}

* {{PropertyData|X2|Distance}}: The X coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Y2|Distance}}: The Y coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Z2|Distance}}: The Z coordinate of the end point of the line. The default is {{Value|10mm}}.

== Программирование ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Line can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
}}

* Where {{Incode|"myLine"}} is the name for the object.
* The function returns the newly created object.

Пример:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()
}}


{{Docnav/ru
|[[Part_Point/ru|Точка(Вершина)]]
|[[Part_RegularPolygon/ru|Правильный Многоугольник]]
|[[Part_Workbench/ru|Part(Деталь)]]
|IconL=Part_Point.svg
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconR=Part_RegularPolygon.svg
Line 68: Line 93:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:00, 15 November 2022

Линия

Системное название
Part Line
Расположение в меню
Деталь → Создать примитивы... → Линия
Верстаки
Part(Деталь), OpenSCAD
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Примитивы

Описание

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its ДанныеPlacement property.

Применение

See Part Primitives.

Свойства

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • ДанныеX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • ДанныеY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • ДанныеZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • ДанныеX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • ДанныеY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • ДанныеZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Программирование

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Пример:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()